WebhooksUpdate uptime webhook

Update uptime webhook

Partially update an uptime webhook owned by the authenticated location. Requires an agency key (ak_). At least one valid field is required.

curl -X PATCH "https://mythic-analytics.gulp.workers.dev/client/v1/links/webhooks/123e4567-e89b-12d3-a456-426614174000?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "X-Location-Id: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "enabled": true,
  "url": "example_string",
  "method": "example_string",
  "headers": {},
  "events": [
    "link_down"
  ]
}'
{
  "success": true,
  "data": {
    "id": "7c1e4a2b-9d3f-4a8e-b1c2-3d4e5f6a7b8c",
    "name": "Uptime webhook: link_down, link_up",
    "enabled": true,
    "url": "https://api.acme-retail.com/webhooks/uptime",
    "method": "POST",
    "headers": {},
    "events": [
      "link_down",
      "link_up"
    ],
    "created_at": "2024-05-20T10:00:00.000Z",
    "updated_at": "2024-05-20T10:00:00.000Z"
  }
}
PATCH
/links/webhooks/{webhookId}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Client API key as a bearer token. Use an agency key (ak_..., read-write) or a location secret key (sk_..., read-only). Format: Bearer ak_... or Bearer sk_.... Scoped keys (mcp_) are accepted too and need links:read or links:write. See Using an mcp_ key over HTTP.

Client API key as a bearer token. Use an agency key (ak_..., read-write) or a location secret key (sk_..., read-only). Format: Bearer ak_... or Bearer sk_.... Scoped keys (mcp_) are accepted too and need links:read or links:write. See Using an mcp_ key over HTTP.
path
webhookIdstring
Required

Webhook identifier (tenant_actions.id).

Format: uuid
query
location_idstring

Target location (client) id. Required when authenticating with an agency key (ak_); alternative to the X-Location-Id header. Ignored for secret keys.

Content-Typestring
Required

The media type of the request body

Options: application/json
header
X-Location-Idstring

Target location (client) id. Required when authenticating with an agency key (ak_); alternative to the location_id query parameter.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Client API key as a bearer token. Use an agency key (ak_..., read-write) or a location secret key (sk_..., read-only). Format: Bearer ak_... or Bearer sk_.... Scoped keys (mcp_) are accepted too and need links:read or links:write. See Using an mcp_ key over HTTP.

Path Parameters

webhookIdstring
Required

Webhook identifier (tenant_actions.id).

Query Parameters

location_idstring

Target location (client) id. Required when authenticating with an agency key (ak_); alternative to the X-Location-Id header. Ignored for secret keys.

Headers

X-Location-Idstring

Target location (client) id. Required when authenticating with an agency key (ak_); alternative to the location_id query parameter.

Responses

successboolean
dataobject